.row, section {
    position: relative;
    padding-top: var(--padding-rows);
    padding-bottom: var(--padding-rows);
    background-color: var(--color-white);
}

.row.row-comfortable,
section.row-comfortable {
    padding-top: calc(var(--padding-rows) * 1.5);
    padding-bottom: calc(var(--padding-rows) * 1.5);
}

.row.row-compact,
section.row-compact {
    padding-top: calc(var(--padding-rows) / 2);
    padding-bottom: calc(var(--padding-rows) / 2);
}

section:has(.bg-image),
section:has(.row-image) {
    position: relative;
    overflow: clip;
}

section:has(.bg-image) > :not(.bg-image),
section:has(.row-image) > :not(.row-image) {
    position: relative;
    z-index: 1;
}

section .bg-image,
section .row-image {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

section .bg-image img,
section .row-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.row-grid {
    row-gap: 1.5rem !important;
}

.block {
    display: block;
    width: 100%;
    max-width: 100%;
    min-width: 0;
}

/* 
    Scroll indicator 
*/
@media (max-width: 767px) {
    .scroll-indicator {
        display: none;
    }
}

@media (min-width: 768px) {

    .scroll-indicator {
        --s-arrow-color: var(--color-grey-1);
        --s-text-color: var(--color-grey-4);

        display: grid;
        grid-template-rows: 1fr max-content 2rem;
        grid-template-areas: "line" "label" "arrow";
        justify-items: center;
        align-items: start;
        gap: 0.8rem;
        position: absolute;
        top: 0;
        bottom: calc(100% - (var(--padding-containers) / 2));
        right: calc((var(--padding-containers) / 2) - 1rem);
        height: calc(100% - (var(--padding-containers) / 2));
        z-index: 5;
        text-decoration: none;
    }

    .scroll-indicator::before {
        grid-area: line;
        content: '';
        width: 0;
        height: 100%;
        border-left: .1rem solid var(--s-arrow-color);
    }

    .scroll-indicator .scroll-label {
        grid-area: label;
        font-family: var(--heading-font);
        font-size: 1rem;
        font-weight: 700;
        line-height: 1;
        letter-spacing: 0.2rem;
        writing-mode: vertical-rl;
        text-orientation: sideways;
        text-transform: uppercase;
        white-space: nowrap;
        margin-left: .1rem;
        color: var(--s-text-color);
        rotate: 180deg;
    }

    .scroll-indicator i {
        grid-area: arrow;
        color: var(--s-arrow-color);
        font-size: 2rem;
    }

    .scroll-indicator.scroll-up {
        grid-template-rows: 2rem max-content calc(var(--padding-rows) / 2);
        grid-template-areas: "arrow" "label" "line";
        bottom: 0;
        top: inherit;
        height: inherit;
        align-items: end;
    }

    .bg-black .scroll-indicator {
        --s-arrow-color: var(--color-grey-5);
        --s-text-color: var(--color-white);
    }

    .bg-light-grey .scroll-indicator {
        --s-arrow-color: var(--color-grey-2);
        --s-text-color: var(--color-grey-5);
    }

    .bg-grey .scroll-indicator {
        --s-arrow-color: var(--color-grey-3);
        --s-text-color: var(--color-white);
    }

    .bg-primary .scroll-indicator {
        --s-arrow-color: rgba(var(--color-white-rgb), 0.5);
        --s-text-color: var(--color-white);
    }
    
}

/* 
    Hover 
*/
@media (-moz-touch-enabled: 0), (pointer: fine) {
    .scroll-indicator i {
        transition: .15s ease-in-out;
    }

    .scroll-indicator:hover i {
        translate: 0 0.7rem;
        color: var(--s-text-color);
    }

    .scroll-indicator.scroll-up:hover i {
        translate: 0 -0.7rem;
    }
}